<!-- HTML header for doxygen 1.8.9.1-->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<title>OpenThread: src/core/net/udp6.hpp File Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="../../Open-Thread-Logo-200x42.png"/></td>
  <td style="padding-left: 0.5em;">
   <div id="projectname">
   &#160;<span id="projectnumber">gddd0704</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "../../search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="../../index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="../../modules.html"><span>Modules</span></a></li>
      <li><a href="../../namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="../../annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="../../files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="../../search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="../../search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="../../files.html"><span>File&#160;List</span></a></li>
      <li><a href="../../globals.html"><span>File&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('d0/db7/udp6_8hpp.html','../../');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#nested-classes">Classes</a> &#124;
<a href="#namespaces">Namespaces</a>  </div>
  <div class="headertitle">
<div class="title">udp6.hpp File Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>This file includes definitions for UDP/IPv6 sockets.  
<a href="#details">More...</a></p>
<div class="textblock"><code>#include &lt;<a class="el" href="../../dd/d45/openthread_8h_source.html">openthread.h</a>&gt;</code><br />
<code>#include &lt;<a class="el" href="../../db/d51/ip6__headers_8hpp_source.html">net/ip6_headers.hpp</a>&gt;</code><br />
</div><div class="textblock"><div class="dynheader">
Include dependency graph for udp6.hpp:</div>
<div class="dyncontent">
<div class="center"><img src="../../da/d93/udp6_8hpp__incl.png" border="0" usemap="#src_2core_2net_2udp6_8hpp" alt=""/></div>
<map name="src_2core_2net_2udp6_8hpp" id="src_2core_2net_2udp6_8hpp">
<area shape="rect" id="node2" href="../../dd/d45/openthread_8h.html" title="This file defines the top&#45;level functions for the OpenThread library. " alt="" coords="5,299,105,324"/>
<area shape="rect" id="node8" href="../../db/d51/ip6__headers_8hpp.html" title="This file includes definitions for IPv6 packet processing. " alt="" coords="353,79,496,104"/>
<area shape="rect" id="node3" href="../../df/dd8/stdint_8h_source.html" title="stdint.h" alt="" coords="552,532,617,557"/>
<area shape="rect" id="node4" href="../../d9/d5e/stdbool_8h_source.html" title="stdbool.h" alt="" coords="270,532,345,557"/>
<area shape="rect" id="node5" href="../../dc/dbf/openthread-types_8h.html" title="This file defines the types and structures used in the OpenThread library API. " alt="" coords="174,459,310,484"/>
<area shape="rect" id="node7" href="../../d7/d62/radio_8h.html" title="This file defines the radio interface for OpenThread. " alt="" coords="332,379,446,404"/>
<area shape="rect" id="node6" href="../../d3/da9/toolchain_8h_source.html" title="platform/toolchain.h" alt="" coords="108,532,245,557"/>
<area shape="rect" id="node10" href="../../df/d57/encoding_8hpp.html" title="This file includes definitions for byte&#45;ordering encoding. " alt="" coords="812,379,968,404"/>
<area shape="rect" id="node12" href="../../d5/d8c/message_8hpp.html" title="This file includes definitions for the message buffer pool and message buffers. " alt="" coords="639,225,795,251"/>
<area shape="rect" id="node19" href="../../dc/d02/ip6__address_8hpp.html" title="This file includes definitions for IPv6 addresses. " alt="" coords="230,299,372,324"/>
<area shape="rect" id="node20" href="../../d0/d86/netif_8hpp.html" title="This file includes definitions for IPv6 network interfaces. " alt="" coords="325,152,420,177"/>
<area shape="rect" id="node22" href="../../da/dfc/socket_8hpp.html" title="This file includes definitions for IPv6 sockets. " alt="" coords="180,225,288,251"/>
<area shape="rect" id="node13" href="../../da/d45/openthread-config_8h_source.html" title="openthread&#45;config.h" alt="" coords="859,299,999,324"/>
<area shape="rect" id="node15" href="../../df/dcb/openthread-core-config_8h.html" title="This file includes compile&#45;time configuration constants for OpenThread. " alt="" coords="1022,299,1192,324"/>
<area shape="rect" id="node17" href="../../da/d7b/code__utils_8hpp.html" title="This file includes macros for validating runtime conditions. " alt="" coords="385,459,547,484"/>
<area shape="rect" id="node18" href="../../d1/d97/mac__frame_8hpp.html" title="This file includes definitions for generating and processing IEEE 802.15.4 MAC frames. " alt="" coords="567,299,709,324"/>
<area shape="rect" id="node16" href="../../d7/d08/openthread-core-default-config_8h.html" title="This file includes default compile&#45;time configuration constants for OpenThread. " alt="" coords="1043,372,1206,411"/>
<area shape="rect" id="node21" href="../../df/d84/tasklet_8hpp.html" title="This file includes definitions for tasklets and the tasklet scheduler. " alt="" coords="312,225,452,251"/>
</map>
</div>
</div><div class="textblock"><div class="dynheader">
This graph shows which files directly or indirectly include this file:</div>
<div class="dyncontent">
<div class="center"><img src="../../d3/dc0/udp6_8hpp__dep__incl.png" border="0" usemap="#src_2core_2net_2udp6_8hppdep" alt=""/></div>
<map name="src_2core_2net_2udp6_8hppdep" id="src_2core_2net_2udp6_8hppdep">
<area shape="rect" id="node2" href="../../dd/d28/coap__server_8hpp.html" title="This file includes definitions for the CoAP server. " alt="" coords="1156,79,1290,117"/>
<area shape="rect" id="node4" href="../../da/de7/announce__begin__client_8hpp.html" title="This file includes definitions for responding to Announce Requests. " alt="" coords="645,252,833,291"/>
<area shape="rect" id="node6" href="../../d4/da4/commissioner_8hpp.html" title="This file includes definitions for the Commissioner role. " alt="" coords="488,345,726,371"/>
<area shape="rect" id="node8" href="../../dd/d13/energy__scan__client_8hpp.html" title="This file includes definitions for responding to PANID Query Requests. " alt="" coords="161,252,332,291"/>
<area shape="rect" id="node10" href="../../d0/d93/joiner_8hpp.html" title="This file includes definitions for the Joiner role. " alt="" coords="130,172,318,197"/>
<area shape="rect" id="node12" href="../../da/d7f/joiner__router_8hpp.html" title="This file includes definitions for the Joiner Router role. " alt="" coords="748,165,911,204"/>
<area shape="rect" id="node14" href="../../d0/d78/mle_8hpp.html" title="This file includes definitions for MLE functionality required by the Thread Child, Router, and Leader roles. " alt="" coords="1693,259,1854,284"/>
<area shape="rect" id="node15" href="../../d9/d7e/leader_8hpp.html" title="This file includes definitions for a MeshCoP Leader. " alt="" coords="1308,432,1501,457"/>
<area shape="rect" id="node23" href="../../d5/d8d/ip6_8cpp.html" title="This file implements IPv6 networking. " alt="" coords="1858,865,1996,891"/>
<area shape="rect" id="node25" href="../../db/d84/thread__netif_8cpp.html" title="This file implements the Thread network interface. " alt="" coords="3238,859,3389,897"/>
<area shape="rect" id="node26" href="../../d6/d2b/lowpan_8cpp.html" title="This file implements 6LoWPAN header compression. " alt="" coords="3540,779,3722,804"/>
<area shape="rect" id="node27" href="../../df/d6b/mesh__forwarder_8cpp.html" title="This file implements mesh forwarding of IPv6/6LoWPAN messages. " alt="" coords="3370,772,3516,811"/>
<area shape="rect" id="node28" href="../../d1/df9/mle_8cpp.html" title="This file implements MLE functionality required for the Thread Child, Router and Leader roles..." alt="" coords="2071,779,2231,804"/>
<area shape="rect" id="node29" href="../../de/db9/ip6__filter_8cpp.html" title="This file implements IPv6 datagram filtering. " alt="" coords="2477,345,2646,371"/>
<area shape="rect" id="node30" href="../../d2/d1d/meshcop__dataset__manager_8hpp.html" title="This file includes definitions for managing MeshCoP Datasets. " alt="" coords="1778,599,1946,637"/>
<area shape="rect" id="node31" href="../../d6/d6f/mle__router_8hpp.html" title="This file includes definitions for MLE functionality required by the Thread Router and Leader roles..." alt="" coords="2165,339,2300,377"/>
<area shape="rect" id="node32" href="../../d1/d10/network__data_8hpp.html" title="This file includes definitions for managing Thread Network Data. " alt="" coords="2487,425,2647,464"/>
<area shape="rect" id="node35" href="../../d2/d73/panid__query__client_8hpp.html" title="This file includes definitions for responding to PANID Query Requests. " alt="" coords="356,252,519,291"/>
<area shape="rect" id="node36" href="../../d9/d2d/address__resolver_8hpp.html" title="This file includes definitions for Thread EID&#45;to&#45;RLOC mapping and caching. " alt="" coords="1997,512,2158,551"/>
<area shape="rect" id="node38" href="../../df/d7a/energy__scan__server_8hpp.html" title="This file includes definitions for responding to Energy Scan Requests. " alt="" coords="1516,165,1671,204"/>
<area shape="rect" id="node39" href="../../dd/d07/network__diag_8hpp.html" title="This file includes definitions for handle network diagnostic. " alt="" coords="1695,165,1855,204"/>
<area shape="rect" id="node40" href="../../d9/d2d/panid__query__server_8hpp.html" title="This file includes definitions for responding to PANID Query Requests. " alt="" coords="935,165,1082,204"/>
<area shape="rect" id="node41" href="../../d1/dd4/ip6_8hpp.html" title="This file includes definitions for IPv6 packet processing. " alt="" coords="3296,85,3435,111"/>
<area shape="rect" id="node48" href="../../d4/d07/udp6_8cpp.html" title="This file implements UDP/IPv6 sockets. " alt="" coords="4295,172,4444,197"/>
<area shape="rect" id="node3" href="../../dd/db8/coap__server_8cpp.html" title="This file implements the CoAP server message dispatch. " alt="" coords="1156,165,1290,204"/>
<area shape="rect" id="node33" href="../../de/d90/network__data__leader_8hpp.html" title="This file includes definitions for manipulating Thread Network Data managed by the Thread Leader..." alt="" coords="2284,512,2445,551"/>
<area shape="rect" id="node37" href="../../d8/d26/announce__begin__server_8hpp.html" title="This file includes definitions for responding to Announce Requests. " alt="" coords="1061,425,1233,464"/>
<area shape="rect" id="node5" href="../../d3/dd0/announce__begin__client_8cpp.html" title="This file implements the Announce Begin Client. " alt="" coords="899,772,1088,811"/>
<area shape="rect" id="node7" href="../../d7/d69/commissioner_8cpp.html" title="This file implements a Commissioner role. " alt="" coords="638,779,875,804"/>
<area shape="rect" id="node9" href="../../dd/d3b/energy__scan__client_8cpp.html" title="This file implements the Energy Scan Client. " alt="" coords="256,772,427,811"/>
<area shape="rect" id="node11" href="../../d4/d64/joiner_8cpp.html" title="This file implements the Joiner role. " alt="" coords="45,779,233,804"/>
<area shape="rect" id="node13" href="../../db/dc3/joiner__router_8cpp.html" title="This file implements the Joiner Router role. " alt="" coords="1112,772,1275,811"/>
<area shape="rect" id="node18" href="../../d1/d54/thread__netif_8hpp.html" title="This file includes definitions for the Thread network interface. " alt="" coords="1462,685,1613,724"/>
<area shape="rect" id="node16" href="../../d7/d02/leader_8cpp.html" title="This file implements a MeshCoP Leader. " alt="" coords="1299,779,1491,804"/>
<area shape="rect" id="node17" href="../../df/d42/meshcop__dataset__manager_8cpp.html" title="This file implements MeshCoP Datasets manager to process commands. " alt="" coords="1616,772,1784,811"/>
<area shape="rect" id="node19" href="../../d5/de7/panid__query__client_8cpp.html" title="This file implements the PAN ID Query Client. " alt="" coords="451,772,614,811"/>
<area shape="rect" id="node20" href="../../d2/dfc/openthread-instance_8h.html" title="This file defines the structure of the variables required for all instances of OpenThread API..." alt="" coords="3206,772,3346,811"/>
<area shape="rect" id="node24" href="../../da/d60/openthread_8cpp.html" title="This file implements the top&#45;level interface to the OpenThread stack. " alt="" coords="3048,865,3214,891"/>
<area shape="rect" id="node21" href="../../dd/d48/cli_8cpp.html" title="This file implements the CLI interpreter. " alt="" coords="3798,865,3895,891"/>
<area shape="rect" id="node22" href="../../dc/de5/timer_8cpp.html" title="This file implements a multiplexed timer service on top of the alarm abstraction. ..." alt="" coords="4112,865,4294,891"/>
<area shape="rect" id="node34" href="../../da/d80/mesh__forwarder_8hpp.html" title="This file includes definitions for forwarding IPv6 datagrams across the Thread mesh. " alt="" coords="2408,599,2555,637"/>
<area shape="rect" id="node42" href="../../d8/d6a/message_8cpp.html" title="This file implements the message buffer pool and message buffers. " alt="" coords="3748,172,3954,197"/>
<area shape="rect" id="node43" href="../../d0/d54/tasklet_8cpp.html" title="This file implements the tasklet scheduler. " alt="" coords="3978,172,4169,197"/>
<area shape="rect" id="node44" href="../../df/d5b/icmp6_8cpp.html" title="This file implements ICMPv6. " alt="" coords="2751,172,2906,197"/>
<area shape="rect" id="node45" href="../../d3/d05/ip6__mpl_8cpp.html" title="This file implements MPL. " alt="" coords="2930,172,3097,197"/>
<area shape="rect" id="node46" href="../../dd/daa/ip6__routes_8cpp.html" title="This file implements IPv6 route tables. " alt="" coords="3121,172,3303,197"/>
<area shape="rect" id="node47" href="../../d9/db7/netif_8cpp.html" title="This file implements IPv6 network interfaces. " alt="" coords="3478,172,3623,197"/>
<area shape="rect" id="node49" href="../../de/d66/lowpan_8hpp.html" title="This file includes definitions for 6LoWPAN header compression. " alt="" coords="2772,345,2954,371"/>
<area shape="rect" id="node50" href="../../df/d4b/topology_8hpp.html" title="This file includes definitions for maintaining Thread network topologies. " alt="" coords="2234,172,2423,197"/>
</map>
</div>
</div>
<p><a href="../../d0/db7/udp6_8hpp_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="nested-classes"></a>
Classes</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d75/classThread_1_1Ip6_1_1UdpSocket.html">Thread::Ip6::UdpSocket</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">This class implements a UDP/IPv6 socket.  <a href="../../dc/d75/classThread_1_1Ip6_1_1UdpSocket.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/ded/classThread_1_1Ip6_1_1Udp.html">Thread::Ip6::Udp</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">This class implements core UDP message handling.  <a href="../../de/ded/classThread_1_1Ip6_1_1Udp.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d5f/structThread_1_1Ip6_1_1UdpHeaderPoD.html">Thread::Ip6::UdpHeaderPoD</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/dd3/classThread_1_1Ip6_1_1UdpHeader.html">Thread::Ip6::UdpHeader</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">This class implements UDP header generation and parsing.  <a href="../../d7/dd3/classThread_1_1Ip6_1_1UdpHeader.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="namespaces"></a>
Namespaces</h2></td></tr>
<tr class="memitem:d2/de1/namespaceThread_1_1Ip6"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/de1/namespaceThread_1_1Ip6.html">Thread::Ip6</a></td></tr>
<tr class="memdesc:d2/de1/namespaceThread_1_1Ip6"><td class="mdescLeft">&#160;</td><td class="mdescRight">This namespace includes definitions for IPv6 networking. <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>This file includes definitions for UDP/IPv6 sockets. </p>
</div></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_68267d1309a1af8e8297ef4c3efbcdba.html">src</a></li><li class="navelem"><a class="el" href="../../dir_aebb8dcc11953d78e620bbef0b9e2183.html">core</a></li><li class="navelem"><a class="el" href="../../dir_73cb4d11b06c10448caf49ed02a351c4.html">net</a></li><li class="navelem"><a class="el" href="../../d0/db7/udp6_8hpp.html">udp6.hpp</a></li>
    <li class="footer">Generated on Fri Oct 14 2016 08:44:34 for OpenThread by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="../../doxygen.png" alt="doxygen"/></a> 1.8.11 </li>
  </ul>
</div>
</body>
</html>
